"use strict";

const http = require('http');
const express = require('express');
const bodyParser = require('body-parser');

const index = require('./routes/index');
const api = require('./routes/api');
const download = require('./routes/download');
const app = express();

app.set('views', `${__dirname}/views`);
app.set('view engine', 'ejs');

app.use(bodyParser.urlencoded({ extended: true }));
app.use(bodyParser.json());

app.use('/', index);
app.use('/api', api);
app.use('/download', download);
app.use((req, res, next) => {
  res.status('404');
  return res.render('error', {message: "404 Not Found"});
});

process.on('exit', function () {
  console.log('Exiting program...');
});

process.on("SIGINT", function () {
  process.exit(0);
});

const server = http.createServer(app);
server.listen('8000');
